// Project Lab - NHTV Igad

#pragma once

#include "Creatures/EnemyBase.h"
#include "RangedEnemy.generated.h"

/**
 * 
 */
UCLASS()
class UNREALPROJECT_API ARangedEnemy : public AEnemyBase
{
	GENERATED_BODY()
	
public:
	ARangedEnemy();
	virtual void BeginPlay() override;
	virtual void EndPlay(const EEndPlayReason::Type EndPlayReason) override;
	virtual void Tick(float deltaTime) override;
	void BasicBehavior();
	void GeneralBehavior();
private:
	float m_lastPercentage;
	class UAbilityInfo* m_tempAbility;
};
